# Uses of Class
org.apache.solr.common.util.ValidatingJsonMap

Packages that use ValidatingJsonMap
Package
Description
org.apache.solr.common
Common classes reused on both clients & server for dealing with `documents to be indexed` and `result documents`.
org.apache.solr.common.util
Common utility classes reused on both clients & server.

## Uses of ValidatingJsonMap in org.apache.solr.common

Methods in org.apache.solr.common that return ValidatingJsonMap
Modifier and Type
Method
Description
`ValidatingJsonMap`
SpecProvider.`getSpec()`

## Uses of ValidatingJsonMap in org.apache.solr.common.util

Fields in org.apache.solr.common.util declared as ValidatingJsonMap
Modifier and Type
Field
Description
`static final ValidatingJsonMap`
ValidatingJsonMap.`EMPTY`
Methods in org.apache.solr.common.util that return ValidatingJsonMap
Modifier and Type
Method
Description
`static ValidatingJsonMap`
ValidatingJsonMap.`fromJSON(InputStream is, String includeLocation)`
`static ValidatingJsonMap`
ValidatingJsonMap.`fromJSON(Reader s, String includeLocation)`
`static ValidatingJsonMap`
ValidatingJsonMap.`getDeepCopy(Map map, int maxDepth, boolean mutable)`
`ValidatingJsonMap`
ValidatingJsonMap.`getMap(String key)`
`ValidatingJsonMap`
ValidatingJsonMap.`getMap(String key, ValidatingJsonMap.PredicateWithErrMsg predicate)`
`ValidatingJsonMap`
ValidatingJsonMap.`getMap(String key, ValidatingJsonMap.PredicateWithErrMsg predicate, String message)`
`static ValidatingJsonMap`
ValidatingJsonMap.`parse(String resourceName, String includeLocation)`